Upgrading i5/OS to V5R4 or V6R1 Breaks Zend Core for i5/OS or Prevents Installation of Zend Core for i5/OS

Follow

Applies To:

 

[All Versions of Zend Platform and Zend Core]

[IBM System i]

Symptom

After upgrading i5/OS to V5R4 or V6R1, Zend Core functions fail and show errors related to modules that cannot be loaded or are missing.  These errors may also appear during the installation of Zend Core or Zend Platform.

Technical Details

This usually occurs because the required Licensed Program 5733SC1 options *BASE and 1 has not been upgraded.  While the Licensed Program is available on the installation media, the upgrade process does not automatically include it in the upgrade process.

Here is an example error that appeared in the error log during a Zend Core for i5/OS installation:

Syntax error on line 1032 of /usr/local/Zend/apache2/conf/httpd.conf:
Cannot load /usr/local/Zend/Core/modules/apache2/libphp5.so into server:\t0509-022 Cannot load module /usr/local/Zend/Core/modules/apache2/libphp5.so.\n\t0509-150 Dependent module libz.a(libz.so.1) could not be loaded.\n\t0509-022 Cannot load module libz.a(libz.so.1).\n\t0509-026 System error: A file or directory in the path name does not exist.\n\t0509-022 Cannot load module /usr/local/Zend/Core/modules/apache2/libphp5.so.\n\t0509-021 Additional errors occurred but are not reported

Problems with libz.a module indicate a problem with the 5733SC1 product.

Please verify the products are installed and are at the correct version. On the GO LICPGM menu, use option 10, and scroll up until you see the 5733SC1 products. Hit F11 to display the release level. You should see these:

5733SC1 V5R4M0 IBM Portable Utilities for i5/OS
5733SC1 V5R4M0 OpenSSH, OpenSSL, zlib

This example would be correct if i5/OS was at V5R4, but would indicate a problem if i5/OS had been updated to V6R1.

Resolution

The 5733SC1 programs are found on the installation disks, but they do not display in option 11 of the GO LICPGM menu.  Please follow these instructions to install the 5733SC1 Licensed Programs:

  1. From a 5250 command line: GO LICPGM
  2. Use Option 11 (Install licensed programs)
  3. Notice that the top entry has no data.
  4. Enter the following:

Option: 1
Licensed Program: 5733SC1
Product Option: *BASE

  1. Press <ENTER>
  2. Enter the following:

Option 1
Licensed Program 5733SC1
Product Option 1

  1. Continue with the installation as normal.

Excerpt: Upgrading i5/OS to V5R4 or V6R1 breaks Zend Core for i5/OS or prevents installation of Zend Core for i5/OS.


Original Post Date: 2009-03-31 18:53:08

Alternative Description:

Upgrading i5/OS to V5R4 or V6R1 breaks Zend Core for i5/OS or prevents installation of Zend Core for i5/OS.

_____
Tags: i5,i5/OS,IBM i V6,upgrade,V5R3,V5R4,V6R1,Zend Core,Zend Platform,oldKB

Have more questions? Submit a request

Comments

Powered by Zendesk